Subject: Re: [mpls-tp] Service LSP label swap at MPLS-TP NNI

From: Curtis Villamizar <[email-masked]>
Date: Thu, 06 May 2010 21:21:22 -0400

In message <[email-masked]>
"Bocci, Matthew (Matthew)" writes:
>  
> Hi,
>  
> I'm planning on adding the following figure to Section 3.4.5 (Network Layer Adaptation) of draft-ietf-mpls-tp-framework, in response to comments we have received about whether a service LSP label could be swapped at an MPLS-TP NNI. This figure is basically very similar to the current figure 6 for MS-PW.
>  
>      |<--------------------- Client Layer ------------------------>|
>      |                                                             |
>      |                                                             |
>      |    |<---------- Packet Transport Service ------------->|    |
>      |    |                                                   |    |
>      |    |              Transport               Transport    |    |
>      | AC |     |<-------- LSP1 --------->|    |<--LSP2-->|   | AC |
>      | |  V     V                         V    V          V   V |  |
>      V |  +----+              +-----+    +----+          +----+ |  V
>  +---+ |  | PE1|===============\   /=====| PE2|==========| PE3| |  +---+
>  |   |----|......svc-lsp1.... | \ / | .....X....svc-lsp1......|----|   |
>  |CE1| |  |    |              |  X  |    |    |          |    | |  |CE2|
>  |   |----|......svc-lsp2.... | / \ | .....X....svc-lsp2......|----|   |
>  +---+  ^ |    |===============/   \=====|    |==========|    | | ^+---+
>         | +----+     ^        +-----+    +----+     ^    +----+   |
>         |            |           ^         ^        |             |
>         |          TE LSP        |         |      TE LSP          |
>         |                      P-router    |                      |
>    Native Service            (  LSR for    |                 Native Service
>                              T'port LSP1)  |
>                                            |
>                                    LSR for Service LSPs
>                                    LER for Transport LSPs 
>  
> One question we, as editors, have is whether this is a realistic scenario? 
>  
> Please let me know if you have any comments.
>  
> Best regards,
>  
> Matthew

It is very realistic.  There is often a "core" within a provider
surrounded by "regions" where a full mesh of LSP exists within the
core and within any one region.  This partitioning is used to improve
scaling by reducing the size of any single full mesh.  A service LSP
that spans regions typically will be a three hop LSP, the first and
last hop in each region and a hop across the core.

Something similar was done back in the early days of L3VPN and L2VPN
with LDP run over RSVP-TE before PWE3 existed and this continues to be
an important technique (with or without MPLS-TP).

It is also vaugely similar to the largest IP over ATM deployment in
the late 1990s that used a core and regions.  [but I digress.]

Curtis